* Do File version

* Inputs: 
* a) CSV file with rainy season data
* b) stata data file with grid information and merge variable
* Outputs: 
* 1) Sorted (by uniqid) stata datasets for the gridded location and hazard variables 

cap program define country_rainy_season
args country_name country_initial 
 
*** Load the rainy season data *** 

insheet using "./Input_Data/Remote_Sensed/SSA/merge_variable_data/rainy_season.csv", clear delimit(",")

gen rs_start_dekad=rs_m_s*3-2
gen rs_end_dekad=rs_m_e*3

gen rs2_start_dekad=rs2_m_s*3-2
gen rs2_end_dekad=rs2_m_e*3

rename rs_m_s rs_start_month
rename rs_m_e rs_end_month
rename rs2_m_s rs2_start_month
rename rs2_m_e rs2_end_month

*******************************************************
* Keep variables for later analysis

keep name0_shr name1_shr asap0_id asap1_id rs_* rs2*

sort asap0_id asap1_id
joinby asap0_id asap1_id using "./Processed_Data/Country/`country_name'/Remote_Sensed/`country_initial'_crop_calendar_mapping"
drop asap0_id asap1_id
drop if uniqid ==""
drop if rs_start_dekad ==. 

save  "./Processed_Data/Country/`country_name'/Remote_Sensed/rs_dates.dta", replace
/*
local stage "rs_start rs_end rs2_start rs2_end"
  foreach s of local stage {
preserve
gen dekad = floor(`s'_dekad)
keep uniqid dekad  
duplicates drop uniqid, force
sort uniqid
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'.dta", replace
restore
  }
*/   
 
end