* Do File version

* Inputs: 
* Matched hh survey and hazard datasets by admin 1 level
* a) `h'
* b) chirps rainfall (need to add)
 
* Outputs: 
* 1) single time series of the spatially averaged hazard measure for every household, for a user-specified the radius to define the grids used to compute the average
     
cap program define hh_admin_spatial_average
args country_name hazard1 hazard2 hazard3 hazard4 hazard5 hazard6 hazard7 admin_level ndvi_available   wrsi_available wrsi2_available   spei3_available   chirps_available  swi_available  temper_available rainy_season_available
* merge household survey data with mapping file 
use "./Processed_Data/Country/`country_name'/Remote_Sensed/hh_survey_for_`admin_level'_first_merge", clear
duplicates drop `admin_level' uniqid,force

local hazard "`hazard1' `hazard2' `hazard3' `hazard4' `hazard5' `hazard6'  `hazard7'"
 foreach h of local hazard {
 if ("``h'_available'" == "Yes" )  {               
preserve 

cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/" 
cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/`h'/" 

cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/" 
cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/`h'/" 

	
cap drop name_en_wb- cropcov_19
	
* Merge with hazards
sort uniqid
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/`h'"
keep if _m ==3
drop _m 

collapse yd_* , by(`admin_level') fast // construct and add an inverse distance weight to the collapse command here
	
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/`h'/averaged_`admin_level'_`h'.dta", replace

restore
 } 
 }
 
local stage "growing harvest growing_second harvest_second"
foreach s of local stage {
preserve	
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'_start.dta" 
drop _m
keep if dekad !=.
cap collapse (median) dekad, by(`admin_level')
gen dekad_temp = floor(dekad)
drop dekad
destring dekad_temp, gen(dekad)
cap gen dekad = dekad_temp
gen `s'_start = 1
gen month = ceil(dekad/3)
sort `admin_level' dekad
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'_start_`admin_level'.dta", replace
restore
}
 
*"`ndvi_available'" == "Yes" &  
if "`rainy_season_available'" == "Yes" {
 
preserve	
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/rs_dates.dta" 
drop _m
collapse (median) rs_* rs2_*, by(`admin_level') 

local rs_vars "rs_start_dekad rs_end_dekad rs2_start_dekad rs2_end_dekad rs_start_month rs_end_month rs2_start_month rs2_end_month"
foreach var of local rs_vars{
replace `var' = floor(`var')
}
sort `admin_level'
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/rs_dates_`admin_level'.dta", replace
 
/*
local stage "rs_start rs_end rs2_start rs2_end"
foreach s of local stage {
preserve	
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'.dta" 
drop _m
collapse (median) dekad, by(location) 
replace dekad = floor(dekad)
gen `s'_start = 1
gen month = ceil(dekad/3)
sort location dekad
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'_location.dta", replace
*/
restore
} 
 
preserve
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/aez.dta" 
drop _m

replace aez_c = "missing" if aez_c ==""
replace aez_b = 100 if aez_b ==.
bysort `admin_level': egen mode_aez_b = mode(aez_b), missing minmode
collapse (median) mode_aez_b , by(`admin_level')
rename mode_aez_b aez_band_`admin_level' 
drop if `admin_level' ==.
merge 1:m `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/hh_survey_for_`admin_level'_merge"
drop _m
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/aez_`admin_level'.dta", replace
restore

preserve
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/livelihood.dta" 
drop _m

replace lev1 = "missing" if lev1 ==""
replace lev_1 = 100 if lev_1 ==.
bysort `admin_level': egen mode_lev_1 = mode(lev_1), missing minmode
collapse (median) mode_lev_1 , by(`admin_level')
rename mode_lev_1 lev_1_2016_`admin_level'
drop if `admin_level' ==.
merge 1:m `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/hh_survey_for_`admin_level'_merge"
drop _m
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/livelihood_`admin_level'.dta", replace
restore
 
preserve
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/ttm.dta" 
drop _m

collapse (median) ttm* , by(`admin_level')
drop if `admin_level' ==.
foreach varname in ttm_020 ttm_050 ttm_100 ttm_250 ttm_500 {
	rename `varname' `varname'_`admin_level'
}

merge 1:m `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/hh_survey_for_`admin_level'_merge"
drop _m
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/ttm_`admin_level'.dta", replace
restore


use  "./Processed_Data/Country/`country_name'/Remote_Sensed/growing_start_`admin_level'.dta", clear
sort `admin_level'
drop growing_start
rename dekad sos
save "./Processed_Data/Country/`country_name'/Remote_Sensed/sos.dta", replace

use  "./Processed_Data/Country/`country_name'/Remote_Sensed/harvest_start_`admin_level'.dta", clear
sort `admin_level'
rename dekad soh
save "./Processed_Data/Country/`country_name'/Remote_Sensed/soh.dta", replace
 
 


end