* Do File version

* Inputs: 
* 
     
cap program define hh_cons_merge_all_hazard
args country_name country_initial survey_data hhid int_year radii spatial var_radii var_const filter

grstyle init
grstyle set plain


*************

use "./Input_Data/Household_Survey/`country_name'/`survey_data'_hazard_`int_year'_`radii'r_filter`filter'.dta"	, clear
 
cap rename previous_month_rf_location prev_mo_rf_location
cap rename previous_3month_rf_location prev_3mo_rf_location 
cap rename previous_6month_rf_location prev_6mo_rf_location 
cap rename previous_year_rf_location prev_year_rf_location 
cap rename previous_3month_a_rf_location prev_3mo_a_rf_location 
cap rename previous_6month_a_rf_location prev_6mo_a_rf_location 
cap rename previous_year_a_rf_location prev_year_a_rf_location 
cap rename anomaly_second_chirps_location anomaly_2nd_rf_location 
cap rename mean_second_chirps_location mean_2nd_rf_location 
cap rename level_second_chirps_location level_2nd_rf_location 
cap rename sd_second_chirps_location sd_2nd_rf_location 
cap rename dry_spell_chirps_location dry_sp_chirps_location
cap rename dry_spell_second_chirps_location dry_sp_2nd_chirps_location 
cap rename previous_month_ndvi_location prev_mo_ndvi_location 
cap rename previous_3month_ndvi_location prev_3mo_ndvi_location 
cap rename previous_6month_ndvi_location prev_6mo_ndvi_location 
cap rename previous_year_ndvi_location prev_year_ndvi_location 
cap rename previous_3month_a_ndvi_location prev_3mo_a_ndvi_location 
cap rename previous_6month_a_ndvi_location prev_6mo_a_ndvi_location 
cap rename previous_year_a_ndvi_location prev_year_a_ndvi_location 
cap rename anomaly_spei3_second_location anomaly_spei3_2nd_location 
cap rename previous_month_swi_location prev_mo_swi_location 
cap rename previous_3month_swi_location prev_3mo_swi_location 
cap rename previous_6month_swi_location prev_6mo_swi_location 
cap rename previous_year_swi_location prev_year_swi_location 
cap rename previous_3month_a_swi_location prev_3mo_a_swi_location  
cap rename previous_6month_a_swi_location prev_6mo_a_swi_location 
cap rename previous_year_a_swi_location prev_year_a_swi_location 
cap rename anomaly_second_swi_location anomaly_2nd_swi_location 
cap rename mean_second_swi_location mean_2nd_swi_location 
cap rename level_second_swi_location level_2nd_swi_location 
cap rename sd_second_swi_location sd_2nd_swi_location  
cap rename prev_month_temp_location prev_mo_temp_location 
cap rename prev_3month_av_temp_location prev_3mo_av_temp_location 
cap rename prev_6month_av_temp_location prev_6mo_av_temp_location 
cap rename prev_3month_a_temp_location prev_3mo_a_temp_location 
cap rename prev_6month_a_temp_location prev_6mo_a_temp_location

cap rename aez_classification aez_class
cap rename harvest_start_month_location harvest_start_mo_location

gen remote100_`radii'= (ttm_100 >= 2) & ttm_100!=.
gen remote20_`radii'= (ttm_020 >= 2) & ttm_020!=.

foreach var of varlist `var_radii'{
	rename `var' `var'_`radii'_r
}

foreach var of varlist `var_const'{
	rename `var' `var'_`radii'_r
}

cap label var anomaly_chirps_location_`radii'_r "Rainfall anomaly (`radii' km radius)"
cap label var anomaly_ndvi_location_`radii'_r "NDVI anomaly (`radii' km radius)"
cap label var anomaly_spei3_location_`radii'_r "SPEI anomaly (`radii' km radius)"
cap label var anomaly_swi_location_`radii'_r "Soil moisture anomaly (`radii' km radius)"
cap label var anomaly_rs_ndvi_location_`radii'_r "Rainy season NDVI anomaly (`radii' km radius)" 
cap label var anomaly_rs_swi_location_`radii'_r "Rainy seaons soil moisture anomaly (`radii' km radius)"  
cap label var anomaly_rs_chirps_location_`radii'_r  "Rainy season rainfall anomaly (`radii' km radius)"
*cap label var anomaly_temp_location_`radii'_r "Temperature anomaly (`radii' km radius)"

cap drop aez_band_ag_`radii'
gen aez_band_ag_`radii'=1 if inrange(aez_band_`radii', 6, 8)
replace aez_band_ag_`radii'=2 if inrange(aez_band_`radii', 9, 11)
replace aez_band_ag_`radii'=3 if inrange(aez_band_`radii', 12, 14)
replace aez_band_ag_`radii'=4 if inrange(aez_band_`radii', 15, 17)
replace aez_band_ag_`radii'=5 if inrange(aez_band_`radii', 18, 18)
replace aez_band_ag_`radii'=6 if inrange(aez_band_`radii', 3, 3)
replace aez_band_ag_`radii'=7 if inrange(aez_band_`radii', 1, 1)
replace aez_band_ag_`radii'=8 if aez_band_ag_`radii'==. & aez_band_`radii'~=.

gen aez_band_ag_class_`radii'="Dry" if aez_band_ag_`radii'==1
replace aez_band_ag_class_`radii'="Moist" if aez_band_ag_`radii'==2
replace aez_band_ag_class_`radii'="Sub-humid" if aez_band_ag_`radii'==3
replace aez_band_ag_class_`radii'="Humid" if aez_band_ag_`radii'==4
replace aez_band_ag_class_`radii'="Water" if aez_band_ag_`radii'==5
replace aez_band_ag_class_`radii'="Desert/Arid" if aez_band_ag_`radii'==6
replace aez_band_ag_class_`radii'="Steep" if aez_band_ag_`radii'==7
replace aez_band_ag_class_`radii'="Other" if aez_band_ag_`radii'==8

gen trend_int = (int_year + 1 - 2010)
gen ln_trend_int = ln(trend_int)

save  "./Input_Data/Household_Survey/`country_name'/`survey_data'_hazard_`int_year'_`spatial'_`radii'_filter`filter'.dta", replace


end