* Do File version

* Inputs: 
* 
     
cap program define hh_cons_merge_all_hazard_adm
args country_name country_initial survey_data hhid int_year radii spatial var_radii var_const filter adm_level

grstyle init
grstyle set plain

use "./Input_Data/Household_Survey/`country_name'/`survey_data'_hazard_`int_year'_`radii'r_filter`filter'.dta", clear

cap rename previous_month_rf_`adm_level' prev_mo_rf_`adm_level'
cap rename previous_3month_rf_`adm_level' prev_3mo_rf_`adm_level' 
cap rename previous_6month_rf_`adm_level' prev_6mo_rf_`adm_level' 
cap rename previous_year_rf_`adm_level' prev_year_rf_`adm_level' 
cap rename previous_3month_a_rf_`adm_level' prev_3mo_a_rf_`adm_level' 
cap rename previous_6month_a_rf_`adm_level' prev_6mo_a_rf_`adm_level' 
cap rename previous_year_a_rf_`adm_level' prev_year_a_rf_`adm_level' 
cap rename anomaly_second_chirps_`adm_level' anomaly_2nd_rf_`adm_level' 
cap rename mean_second_chirps_`adm_level' mean_2nd_rf_`adm_level' 
cap rename level_second_chirps_`adm_level' level_2nd_rf_`adm_level' 
cap rename sd_second_chirps_`adm_level' sd_2nd_rf_`adm_level' 
cap rename dry_spell_chirps_`adm_level' dry_sp_chirps_`adm_level'
cap rename dry_spell_second_chirps_`adm_level' dry_sp_2nd_chirps_`adm_level' 
cap rename previous_month_ndvi_`adm_level' prev_mo_ndvi_`adm_level' 
cap rename previous_3month_ndvi_`adm_level' prev_3mo_ndvi_`adm_level' 
cap rename previous_6month_ndvi_`adm_level' prev_6mo_ndvi_`adm_level' 
cap rename previous_year_ndvi_`adm_level' prev_year_ndvi_`adm_level' 
cap rename previous_3month_a_ndvi_`adm_level' prev_3mo_a_ndvi_`adm_level' 
cap rename previous_6month_a_ndvi_`adm_level' prev_6mo_a_ndvi_`adm_level' 
cap rename previous_year_a_ndvi_`adm_level' prev_year_a_ndvi_`adm_level' 
cap rename anomaly_spei3_second_`adm_level' anomaly_spei3_2nd_`adm_level' 
cap rename previous_month_swi_`adm_level' prev_mo_swi_`adm_level' 
cap rename previous_3month_swi_`adm_level' prev_3mo_swi_`adm_level' 
cap rename previous_6month_swi_`adm_level' prev_6mo_swi_`adm_level' 
cap rename previous_year_swi_`adm_level' prev_year_swi_`adm_level' 
cap rename previous_3month_a_swi_`adm_level' prev_3mo_a_swi_`adm_level'  
cap rename previous_6month_a_swi_`adm_level' prev_6mo_a_swi_`adm_level' 
cap rename previous_year_a_swi_`adm_level' prev_year_a_swi_`adm_level' 
cap rename anomaly_second_swi_`adm_level' anomaly_2nd_swi_`adm_level' 
cap rename mean_second_swi_`adm_level' mean_2nd_swi_`adm_level' 
cap rename level_second_swi_`adm_level' level_2nd_swi_`adm_level' 
cap rename sd_second_swi_`adm_level' sd_2nd_swi_`adm_level' 
cap rename prev_month_temp_`adm_level' prev_mo_temp_`adm_level' 
cap rename prev_3month_av_temp_`adm_level' prev_3mo_av_temp_`adm_level' 
cap rename prev_6month_av_temp_`adm_level' prev_6mo_av_temp_`adm_level' 
cap rename prev_3month_a_temp_`adm_level' prev_3mo_a_temp_`adm_level' 
cap rename prev_6month_a_temp_`adm_level' prev_6mo_a_temp_`adm_level' 
cap rename aez_classification aez_class
cap rename harvest_start_month_`adm_level' harvest_start_mo_`adm_level'

cap rename aez_classification aez_class
cap rename harvest_start_month_`adm_level' harvest_start_mo_`adm_level'


gen remote100_`radii'= (ttm_100 >= 2) & ttm_100!=.
gen remote20_`radii'= (ttm_020 >= 2) & ttm_020!=.

foreach var of varlist `var_radii'{
	rename `var' `var'_`radii'_r
}

foreach var of varlist `var_const'{
	rename `var' `var'_`radii'_r
}

cap label var anomaly_chirps_`adm_level'_`radii'_r "Rainfall anomaly (`radii' km radius)"
cap label var anomaly_ndvi_`adm_level'_`radii'_r "NDVI anomaly (`radii' km radius)"
cap label var anomaly_spei3_`adm_level'_`radii'_r "SPEI anomaly (`radii' km radius)"
cap label var anomaly_swi_`adm_level'_`radii'_r "Soil moisture anomaly (`radii' km radius)"
cap label var anomaly_temp_`adm_level'_`radii'_r "Temperature anomaly (`radii' km radius)"
cap label var anomaly_rs_ndvi_`adm_level'_`radii'_r "Rainy season NDVI anomaly (`radii' km radius)" 
cap label var anomaly_rs_swi_`adm_level'_`radii'_r "Rainy seaons soil moisture anomaly (`radii' km radius)"  
cap label var anomaly_rs_chirps_`adm_level'_`radii'_r  "Rainy season rainfall anomaly (`radii' km radius)"


cap drop aez_band_ag_`radii'
gen aez_band_ag_`radii'=1 if inrange(aez_band_`radii', 6, 8)
replace aez_band_ag_`radii'=2 if inrange(aez_band_`radii', 9, 11)
replace aez_band_ag_`radii'=3 if inrange(aez_band_`radii', 12, 14)
replace aez_band_ag_`radii'=4 if inrange(aez_band_`radii', 15, 17)
replace aez_band_ag_`radii'=5 if inrange(aez_band_`radii', 18, 18)
replace aez_band_ag_`radii'=6 if inrange(aez_band_`radii', 3, 3)
replace aez_band_ag_`radii'=7 if inrange(aez_band_`radii', 1, 1)
replace aez_band_ag_`radii'=8 if aez_band_ag_`radii'==. & aez_band_`radii'~=.

gen aez_band_ag_class_`radii'="Dry" if aez_band_ag_`radii'==1
replace aez_band_ag_class_`radii'="Moist" if aez_band_ag_`radii'==2
replace aez_band_ag_class_`radii'="Sub-humid" if aez_band_ag_`radii'==3
replace aez_band_ag_class_`radii'="Humid" if aez_band_ag_`radii'==4
replace aez_band_ag_class_`radii'="Water" if aez_band_ag_`radii'==5
replace aez_band_ag_class_`radii'="Desert/Arid" if aez_band_ag_`radii'==6
replace aez_band_ag_class_`radii'="Steep" if aez_band_ag_`radii'==7
replace aez_band_ag_class_`radii'="Other" if aez_band_ag_`radii'==8


save  "./Input_Data/Household_Survey/`country_name'/`survey_data'_hazard_`int_year'_`spatial'_radii_filter`filter'.dta", replace


end