* Do File version

* Inputs: 
* Matched hh survey and hazard datasets by admin 1 level
* a) `h'
* b) chirps rainfall (need to add)
 
* Outputs: 
* 1) single time series of the spatially averaged hazard measure for every household, for a user-specified the radius to define the grids used to compute the average
     
cap program define hh_local_spatial_average
args country_name hazard1 hazard2 hazard3 hazard4 hazard5 hazard6 hazard7 ndvi_available wrsi_available wrsi2_available spei3_available chirps_available swi_available temper_available 



local hazard "`hazard1' `hazard2' `hazard3' `hazard4' `hazard5' `hazard6' `hazard7'"
 foreach h of local hazard {
 	if ("``h'_available'" == "Yes" )  {  
 preserve             
cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/" 
cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/`h'/" 
	
use "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/`h'/hh_location_`h'", clear
	
cap drop name_en_wb- cropcov_19
	
collapse yd_* , by(location) fast // construct and add an inverse distance weight to the collapse command here
		
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/`h'/averaged_location_`h'.dta", replace

restore
 }
 }
 */
 
 *** Determining the months of the rainy season.  Only applies to areas with one rainy season.  
 *To look for the start of the rainy season, the calendar is set so that the dekad with the lowest average rainfall is the base dekad and from there the cumulative rainfall is calculated to determine when 5% of the rain has occured and this is the start of the rainy season.  It ends when 95% of rainfall has fallen or when the deakdal rainfall contributes less than 2.78% in three consecutive dekads.  
 *If there are more than one dekad with the minimum rainfall (i.e. multiple dekads with 0 rainfall) then the first dekad with the minimum rainfall is set as the base dekad in the search for the start of the rainy season
 
 
 **********THIS CODE CURRENTLY NOT BEING USED BUT BEING REPLACED>>>>>>>
 
 
 /*
if "`rainy_season_hazards'" == "Yes"  {
 
use   "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/chirps/averaged_location_chirps.dta", clear

quietly {
reshape long yd_, i(location) j(time) string
}

rename yd_ y

* separate the time variable into year month dekad and radius
gen year1 = substr(time,1,4) 
gen year = real(year1)
gen dekad1 = substr(time,5,2) 
gen dekad = real(dekad1)
gen month = ceil(dekad/3)
drop year1 time

reshape wide y, i(location dekad) j(year)

*find minimum rainfall
egen av_rf=rowmean(y2000-y2020)
bysort location: egen min_rf=min(av_rf)
gen dry_start_d=dekad if min_rf==av_rf
bysort location: egen dry_start_dekad=min(dry_start_d)
gen dekad_season=dekad-dry_start_dekad+1 
replace dekad_season=36+dekad_season if dekad_season<=0

*sort dekads starting with the driest dekad and then consecutively in time.
sort location dekad_season
bysort location: gen time_index = _n
tsset location time_index

bysort location: gen tot_rf_cum=sum(av_rf)
bysort location: egen tot_rf_yr=sum(av_rf)
gen pc_rf_cum=tot_rf_cum/tot_rf_yr

gen rf_pct_tot=av_rf/tot_rf_yr

*Set initial range of rainy season by dekads and then adjust if upper threshold has not been reached but each dekad only contributing (relatively) small amounts of additional rainfall
gen rainy_season_dek_pre=1 if inrange(pc_rf_cum, 0.05, 0.95)
bysort location: gen rs_month_cum_pre=sum(rainy_season_dek_pre)

clonevar rainy_season_dek=rainy_season_dek_pre

replace rainy_season_dek=0 if rainy_season_dek_pre==1 & rf_pct_tot<0.0278 & L.rainy_season_dek_pre==.

replace rainy_season_dek=0 if rainy_season_dek==1 & rf_pct_tot<0.0278 & F.rf_pct_tot<0.0278 & F2.rf_pct_tot<0.0278

bysort location: gen rs_month_cum=sum(rainy_season_dek)
bysort location: egen rs_length_dek=sum(rainy_season_dek)

bysort location: gen rainy_season1=month if rs_month_cum==1 & rainy_season_dek==1
bysort location: egen rainy_season_st=min(rainy_season1)
*drop rainy_season1

bysort location: gen rainy_season2=month if rs_month_cum==rs_length_dek & rainy_season_dek==1
bysort location: egen rainy_season_end=min(rainy_season2)
*drop rainy_season2

bysort location: gen rainy_season_mon=1 if month>=rainy_season_st & month<=rainy_season_end & rainy_season_st<=rainy_season_end
bysort location: replace rainy_season_mon=1 if month>=rainy_season_st & rainy_season_st>rainy_season_end
bysort location: replace rainy_season_mon=1 if month<=rainy_season_end & rainy_season_st>rainy_season_end

bysort location: egen rs_year_st1=max(time_index) if rainy_season_mon==1
bysort location: egen rs_year_st=min(rs_year_st1)
replace rs_year_st=rs_year_st+1 
replace rs_year_st=1 if rs_year_st==37
drop rs_year_st1

gen rs_index=1 if rs_year_st==time_index
replace rs_index=time_index-rs_year_st+1 if rs_year_st<=time_index
replace rs_index=36+(time_index-rs_year_st+1) if rs_year_st>time_index

preserve
collapse (max) rainy_season_st rainy_season_end rainy_season_mon, by(location month rs_index dekad)

save  "./Processed_Data/Country/`country_name'/Remote_Sensed/location_rainy_season_dekads", replace

restore

collapse (max) rainy_season_st rainy_season_end rainy_season_mon (min) rs_index, by(location month)

gen rs_index_month=ceil(rs_index/3)
drop rs_index
label var rainy_season_st "Month (calendar) when rainy season starts"
label var rainy_season_end "Month (calendar) when rainy season ends"
label var rainy_season_mon "Month is part of rainy season"
label var month "Calendar month"
label var rs_index_month "Month-index where 1 is the first month after end of rainy season"


save  "./Processed_Data/Country/`country_name'/Remote_Sensed/location_rainy_season_months", replace
}
*/

end