* Do File version

* Inputs: 
* Matched hh survey and hazard datasets by admin 1 level
* a) `h'
* b) chirps rainfall (need to add)
 
* Outputs: 
* 1) single time series of the spatially averaged hazard measure for every household, for a user-specified the radius to define the grids used to compute the average
     
cap program define hh_national_spatial_average
args country_name hazard1 hazard2 hazard3 hazard4 hazard5 hazard6 hazard7 ndvi_available   wrsi_available wrsi2_available   spei3_available   chirps_available  swi_available temper_available

di "in the hh national spatial average program"

* merge household survey data with mapping file 
use "./Processed_Data/Country/`country_name'/Remote_Sensed/national_pixels", clear
duplicates drop  uniqid,force

di "in hh national spatila average program have opened national pixels"

local hazard "`hazard1' `hazard2' `hazard3' `hazard4' `hazard5' `hazard6' `hazard7'"
 foreach h of local hazard {
 if ("``h'_available'" == "Yes" )  {               
preserve 

cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/" 
cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/`h'/" 

cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/" 
cap mkdir "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/`h'/" 

	
cap drop name_en_wb- cropcov_19
	
* Merge with hazards
sort uniqid
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/`h'"
keep if _m ==3
drop _m 
gen national = 1
collapse yd_*, by(national)  // construct and add an inverse distance weight to the collapse command here
	
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/`h'/averaged_national_`h'.dta", replace

restore
 } 
 }
 
local stage "growing harvest growing_second harvest_second"
foreach s of local stage {
preserve	
gen national = 1
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'_start.dta" 
keep if _m==3
drop _m
keep if dekad !=.
cap collapse (median) dekad, by(national)
gen dekad_temp = floor(dekad)
drop dekad
destring dekad_temp, gen(dekad)
cap gen dekad = dekad_temp
gen `s'_start = 1
gen month = ceil(dekad/3)
sort national dekad
save  "./Processed_Data/Country/`country_name'/Remote_Sensed/`s'_start_national.dta", replace
restore
}
 
end