* Do File version

* Inputs: 
* a) Original Survey Data
* b) Hazard events across time by location_id and int_month and int_year
* Outputs: 
* 1) Merged HH survey Data with Hazard Variables

cap program define merge_hh_hazard_data_nat
args country_name country_initial survey_data int_month int_year hh_lat hh_lon hh_loc_available hh_admin_available admin_level  ndvi_available  wrsi_available wrsi2_available   spei3_available    chirps_available  swi_available temper_available

cap mkdir "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/" 

* Load the combined survey data for the given country
use "./Input_Data/Data_Integration/Country/`country_name'/`survey_data'.dta", clear


* Merge National Measures

gen national = 1

cap drop _m
drop if `int_month' ==. | `int_year' ==. | `admin_level' == .

cap gen int_month = `int_month'
cap gen int_year = `int_year' 


if "`wrsi_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi/wrsi_final/merged_national_wrsi.dta"
drop _m
}

if "`wrsi2_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi2/wrsi2_final/merged_national_wrsi2.dta"
drop _m
}

if "`spei3_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/spei3/spei3_final/merged_national_spei3.dta"
drop _m 
}

if "`chirps_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/chirps/chirps_final/merged_national_chirps.dta"
drop _m 
}


if "`ndvi_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/ndvi/ndvi_final/merged_national_ndvi.dta"
drop _m 
}


if "`swi_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/swi/swi_final/merged_`admin_level'_swi.dta"
drop _m 
}

if "`temper_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/temper/temper_final/merged_national_temper.dta"
drop _m 
}

end