* Do File version

* Inputs: 
* a) Original Survey Data
* b) Hazard events across time by location_id and int_month and int_year
* Outputs: 
* 1) Merged HH survey Data with Hazard Variables

cap program define merge_hh_hazard_data
args country_name country_initial survey_data int_month int_year hh_lat hh_lon hh_loc_available hh_admin_available admin_level  ndvi_available  wrsi_available wrsi2_available   spei3_available    chirps_available  swi_available

cap mkdir "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/" 

* Load the combined survey data for the given country
use "./Input_Data/Data_Integration/Country/`country_name'/`survey_data'.dta", clear

if ("`hh_loc_available'" == "Yes")  {
    
cap drop _m
drop if `int_month' ==. | `int_year' ==. | `hh_lat' ==. | `hh_lon' ==.

cap gen int_month = `int_month'
cap gen int_year = `int_year' 

if "`wrsi_available'" == "Yes" {
merge m:1 int_month int_year `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi/wrsi_final/merged_location_wrsi.dta"
drop _m
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

if "`wrsi2_available'" == "Yes" {
merge m:1 int_month int_year `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi2/wrsi2_final/merged_location_wrsi2.dta"
drop _m
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

if "`chirps_available'" == "Yes" {
merge m:1 int_month int_year `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/chirps/chirps_final/merged_location_chirps.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

if "`ndvi_available'" == "Yes" {
merge m:1 int_month int_year `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/ndvi/ndvi_final/merged_location_ndvi.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

if "`spei3_available'" == "Yes" {
merge m:1 int_month int_year `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/spei3/spei3_final/merged_location_spei3.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

if "`swi_available'" == "Yes" {
merge m:1 int_month int_year `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/swi/swi_final/merged_location_swi.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

merge m:1 int_month int_year  `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/ttm_location.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

merge m:1 int_month int_year  `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/aez_location.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

merge m:1 aez_b using "./Processed_Data/Country/`country_name'/Remote_Sensed/aez_classication"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

merge m:1 int_month int_year  `hh_lat' `hh_lon' using "./Processed_Data/Country/`country_name'/Remote_Sensed/livelihood_location.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

merge m:1 lev_1_2016 using "./Processed_Data/Country/`country_name'/Remote_Sensed/livelihood_classication"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace
}

cap drop _m
drop if `int_month' ==. | `int_year' ==. | `admin_level' == .

cap gen int_month = `int_month'
cap gen int_year = `int_year' 

if ("`hh_admin_available'" == "Yes")  {
	
if "`wrsi_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi/wrsi_final/merged_`admin_level'_wrsi.dta"
drop _m
}

if "`wrsi2_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi2/wrsi2_final/merged_`admin_level'_wrsi2.dta"
drop _m
}

if "`chirps_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/chirps/chirps_final/merged_`admin_level'_chirps.dta"
drop _m 
}

if "`ndvi_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/ndvi/ndvi_final/merged_`admin_level'_ndvi.dta"
drop _m 
}

if "`spei3_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/spei3/spei3_final/merged_`admin_level'_spei3.dta"
drop _m 
}

if "`swi_available'" == "Yes" {
merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/swi/swi_final/merged_`admin_level'_swi.dta"
drop _m 
}

merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/ttm_`admin_level'.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/aez_`admin_level'.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

merge m:1 int_month int_year `admin_level' using "./Processed_Data/Country/`country_name'/Remote_Sensed/livelihood_`admin_level'.dta"
drop _m 
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard", replace

if ("`hh_loc_available'" != "Yes")  {
gen aez_band = aez_band_`admin_level'
merge m:1 aez_band using "./Processed_Data/Country/`country_name'/Remote_Sensed/aez_classication"
drop _m 

gen lev_1_2016 = lev_1_2016_`admin_level'
merge m:1 lev_1_2016 using "./Processed_Data/Country/`country_name'/Remote_Sensed/livelihood_classication"
drop _m 

}

xtset, clear
save "./Processed_Data/Country/`country_name'/Merged_HH_Hazard/merged_hh_hazard_`admin_level'", replace

}

* Merge National Measures
/*
gen national = 1

if "`wrsi_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi/wrsi_final/merged_national_wrsi.dta"
drop _m
}

if "`wrsi2_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/wrsi2/wrsi2_final/merged_national_wrsi2.dta"
drop _m
}

if "`spei3_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/spei3/spei3_final/merged_national_spei3.dta"
drop _m 
}

if "`chirps_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/chirps/chirps_final/merged_national_chirps.dta"
drop _m 
}

if "`ndvi_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/ndvi/ndvi_final/merged_national_ndvi.dta"
drop _m 
}

if "`swi_available'" == "Yes" {
merge m:1 int_month int_year national using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard_Final/swi/swi_final/merged_national_swi.dta"
drop _m 
}
*/
preserve
if ("`hh_loc_available'" == "Yes")  {
duplicates drop location, force
drop if location ==.
keep `hh_lat' `hh_lon' location	
merge 1:m location using "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/distance_matrix/distance_matrix.dta"
drop _m
merge m:1 uniqid using "./Processed_Data/Country/`country_name'/Remote_Sensed/remote_gridded_location.dta"
keep if _m==3
drop _m
rename lon uniqid_lon
rename lat uniqid_lat
order location `hh_lat' `hh_lon' uniqid uniqid_lat uniqid_lon km
export excel "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/distance_matrix/uniqid_match.xlsx", replace firstrow(variables)
save "./Processed_Data/Country/`country_name'/Remote_Sensed/HH_Hazard/distance_matrix/uniqid_match", replace
}
restore

end