**  Master file to run analysis in "Forward-looking household climate vulnerability curves to inform poverty reduction policy " by Calcutt, Hill, and Vinha (2024)
clear all
set more off
program drop _all


**********************************
******* change as approporiate 
**********************************

local main_directory_name "C:\WBG\rep-checks\251"  ///Change to where Drought_Welfare_SSA folder with all subfolders / data are located

*********************************
******  NO NEED TO CHANGE anything below here
*****************************	

*************************
*************** SET=UP 
***************************

cd "`main_directory_name'"
cap cd "./Drought_Welfare_SSA"
global cdpath = "`c(pwd)'/Drought_Welfare_SSA"

* Scripts
	global code 	"./Do_Files"
	* Set ado folder in the dofiles/code folder
sysdir set PLUS "$code/ado"

**# Bookmark #1
/* Install packages in the ado folder 
local user_commands	grstyle palettes colrspace carryforward distinct unique geonear //Add required user-written commands

foreach command of local user_commands {
   cap which `command'
   if _rc == 111 {
	   ssc install `command'
   }
}
*/
cap mkdir "./Figures/"
cap mkdir "./Figures/Policy_note/"

*************************
*************** ANALYSIS 
***************************

grstyle init
grstyle set plain
grstyle set color cblind

*** 1. Comparisons of poverty rate and gap across the countires by degree of drought

do Do_Files/Policy_note/Comparisons_v2.do

*** 2. Ethiopia application
do Do_Files/Country/Ethiopia/HH_Survey_Hazard_Integration_policy_Ethiopia.do
do Do_Files/Policy_note/Ethiopia/ETH_policy_extension_v2.do
do Do_Files/Policy_note/Ethiopia/Ethiopia_EP_curves_scenario1_v2.do
*/
*** 3. Malawi applicaton
do Do_Files/Country/Malawi/Malawi_dataprep.do
do Do_Files/Country/Malawi/HH_Survey_Hazard_Integration_Malawi.do
do Do_Files/Policy_note/Malawi/MWI_policy_extension.do
do Do_Files/Policy_note/Malawi/Malawi_EP_curves_scenario2_v2.do